Name: liblzma0
Version: 4.999.9
Release: alt2

Summary: LZMA/XZ compression compatibility library
License: Public Domain
Group: System/Legacy libraries

URL: http://tukaani.org/xz/
Source: xz-v4.999.9beta-22-g49cfc8d.tar
Patch: xz-%version-%release.patch

%description
This package provides data compression compatibility library for working
with files compressed with the Lempel-Ziv/Markov-chain compression method.
It supports two formats: .xz and the older .lzma format.

%prep
%setup -q -n xz-v4.999.9beta-22-g49cfc8d
%patch -p1

%build
autoreconf -i
%configure --enable-dynamic --disable-static
%make_build

%install
%makeinstall_std docdir=

mkdir -p %buildroot/%_lib
mv %buildroot%_libdir/liblzma.so.0* %buildroot/%_lib/
rm %buildroot%_libdir/liblzma.so

%files
/%_lib/liblzma.so.0*

%changelog
* Thu Nov 18 2010 Dmitry V. Levin <ldv@altlinux.org> 4.999.9-alt2
- Packaged liblzma0 compatibility library, dropped all the rest.

* Sun Oct 10 2010 Alexey Tourbin <at@altlinux.ru> 4.999.9-alt1.1
- rebuilt for soname set-versions

* Thu Sep 24 2009 Alexey Tourbin <at@altlinux.ru> 4.999.9-alt1
- updated to v4.999.9beta-22-g49cfc8d
- the code is now under Public Domain
- new package xz replaces older lzma-utils
- packaged liblzma shared library

* Sun May 10 2009 Alexey Tourbin <at@altlinux.ru> 4.999.3alpha-alt2
- rebuilt with gcc-4.4

* Sat May 24 2008 Alexey Tourbin <at@altlinux.ru> 4.999.3alpha-alt1
- initial revision, based on v4.999.3alpha-6-g11de5d5
- only static liblzma.a library is packaged, due to alpha status
